package notification

type NotifyPriority int8

func (n NotifyPriority) ToString() string {
	status, ok := priorityMap[n]
	if !ok {
		return "unknown"
	}

	return status
}

const (
	Critical NotifyPriority = 1
	High     NotifyPriority = 2
	Normal   NotifyPriority = 3
	Low      NotifyPriority = 4

	CriticalStr = "critical"
	HighStr     = "high"
	NormalStr   = "normal"
	LowStr      = "low"
)

var priorityMap = map[NotifyPriority]string{
	Critical: CriticalStr,
	High:     HighStr,
	Normal:   NormalStr,
	Low:      LowStr,
}
